if not defined OSGEO4W_DESKTOP for /F "tokens=* USEBACKQ" %%F IN (`getspecialfolder Desktop`) do set OSGEO4W_DESKTOP=%%F
del "%OSGEO4W_STARTMENU%\SAGA GIS 7.8.2.lnk"
del "%OSGEO4W_DESKTOP%\SAGA GIS 7.8.2.lnk"

del "%OSGEO4W_ROOT%\apps\saga\tools\dev_tools.dll"
for /f "tokens=* usebackq" %%f in (`dir /s /b "%OSGEO4W_ROOT%\apps\saga-refresh.bat"`) do call "%%f"
